 <script language="JavaScript" type="text/JavaScript">
<!--
function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);
//-->
</script>
<body text="#000000" link="#0000FF" vlink="#0000FF">
<div id="Layer1" style="position:absolute; width:200px; height:171px; z-index:1; left: 713px; top: 232px;"> 
  <p><font color="#000000">New Tools:<br>
    </font><br>
    <a href="secmain.htm">Security Changes Page</a></p>
  <p>&nbsp;</p>
</div>
<p><img src="../images/it%20graphics/finalmainbanner.jpg" width="614" height="199" border="0" usemap="#Map"> 
  <map name="Map">
    <area shape="rect" coords="2,146,74,198" href="reportproblem.htm">
    <area shape="rect" coords="75,147,121,196" href="helpDeskAccessAllCalls.php">
    <area shape="rect" coords="127,147,182,197" href="DataAccessSearch.php">
    <area shape="rect" coords="188,146,276,196" href="ocm-first.htm">
    <area shape="rect" coords="279,146,361,194" href="actmgt.php">
    <area shape="rect" coords="478,146,540,198" href="search.php">
    <area shape="rect" coords="542,145,610,197" href="default.htm">
  </map>
</p>
<p><br>
</p>
<p><br>
  This page shows &quot;open&quot; calls only; click &quot;View All Calls&quot; 
  to view old support calls.<a href="default.htm"><br>
  <br>
  </a> 

  <?php 
//Created by Chad Edwards
//01-29-03
//Requires M.S. Access 2000 with DNS configured to helpdesk pass=''
//Revision 1
//Juim Help Desk



function HTML_Head() { 
    echo " 
    <HTML><HEAD> 
    <TITLE>Help Desk::Main Page</TITLE> 
    </HEAD> 
    <BODY BGCOLOR=\"#FFFFFF\">"; 
	

} 

function HTML_Foot() { 
    echo "</body></html>"; 
} 

function Database_Entries($msg) { 
    echo $msg; 
} 

function Output_Entries() { 
    /* 
        Make the connection to the database. The syntax is 
        odbc_connect( 'SYSTEM_DSN' , 'USER', 'PASSWORD' ); 
        $cnx will hold the 
        pconnect is used to establish a persistent database 
        connection to the Database until the procedure is completed. 
    */ 

	
	

    $cnx = odbc_connect( 'HelpDesk' , '', '' ); 
    if (!$cnx) { 
        Error_handler( "Error in odbc_connect" , $cnx ); 
    } 

    // send a simple odbc query . returns an odbc cursor 
    $cur= odbc_exec( $cnx, "select ID,FirstName,LastName,PCatagory,describe, Status, mainDate,Priority from Data WHERE Status ='open'" ); 
    if (!$cur) { 
        Error_handler( "Error in odbc_exec( no cursor returned ) " , $cnx ); 
    } 


   	   echo "<table border=1><tr><th>ID</th><th>Time & Date</th><th>First Name</th>". 
        "<th>Last Name</th><th>Help Request Status</th><th>Type of Problem</th><th>Priority</th></tr>\n"; 
		
    $nbrow=0;   //Local variable to count number of rows 

    // fetch the succesive result rows 
    while( odbc_fetch_row( $cur ) ) { 
        $nbrow++; 
        $ID= odbc_result( $cur, 1 ); // get the field "Index" 
        $FirstName= odbc_result( $cur, 2 ); // get the field "FirstName" 
        $LastName= odbc_result( $cur, 3 ); // get the field "LastName" 
        $PCatagory= odbc_result( $cur, 4 ); // get the field "PCatagory" 
		$value= odbc_result( $cur, 5 ); // get the field "describe" <br><br>
		$Status= odbc_result( $cur, 6 ); // get the field "Status" 
		$sysDate= odbc_result( $cur, 7 ); // get the field "Status" 
		$priority= odbc_result( $cur, 8 ); // get the field "Status" 
		$url = 'viewDetails.php?record=';
		$url2 = "$ID";
		$url3 = "$url$url2"; 
		


 		echo "<tr><td><a href=\"$url3\">$ID</a>\n</td><td>$sysDate</td><td>$FirstName</td>". 
         "<td>$LastName</td><td>$Status</td><td>$PCatagory</td><td>$priority</td></tr>\n"; 
		 } 

    echo "<tr><td colspan=2>$nbrow entries </td></tr></table>"; 

    // close the connection. important if persistent connection are "On" 
    odbc_close( $cnx); 
} 

function Error_Handler( $msg, $cnx ) { 
    echo "$msg \n"; 
    odbc_close( $cnx); 
    exit(); 
} 

$strOldEntries = ""; 
$strNewEntries = "Updated version of databse (after entries)"; 



HTML_Head(); 
Database_Entries($strOldEntries); 
Output_Entries(); 
HTML_Foot(); 

?>
</p>
<p>&nbsp;</p>
<p align="center">In a few hundred years, when the history of our time will be 
  written from a long-term perspective, it is likely that the most important event 
  historians will see is not technology, not the Internet, not e-commerce. It 
  is an unprecedented change in the human condition. For the first time - literally 
  - substantial and rapidly growing numbers of people have choices. For the first 
  time, they will have to manage themselves. And society is totally unprepared 
  for it. <br>
  --Peter F. Drucker </p>
<p align="center"><a href="http://www.quickintranet.com"><img src="http://www.quickintranet.com/infosec/quickintranet-com.jpg" border="0"></a><br>
  CopyRight 2004<br>
  QuickIntranet.com<br>
  <a href="http://www.quickintranet.com">http://www.QuickIntranet.com </a></p>
